## org.eclipse.amp.amf.testing.ui.labeling
Class ATestLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.xtext.ui.label.AbstractLabelProvider
                      org.eclipse.xtext.ui.label.DeclarativeLabelProvider
                          org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider
                              org.eclipse.amp.amf.testing.ui.labeling.ATestLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class ATestLabelProvider

extends org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider

Provides labels for a EObjects. see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#labelProvider

Constructor Summary
`ATestLabelProvider(org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider delegate)`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.label.DeclarativeLabelProvider
`image, text`

Methods inherited from class org.eclipse.xtext.ui.label.AbstractLabelProvider
`getImage, getStyledText, getText`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### ATestLabelProvider

    @Inject
    public ATestLabelProvider(org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider delegate)